Bug 428312 - Dell Service Tag Activation is broken
Dell Service Tag Activation is broken
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Registration (Show other bugs)
RHN Devel
All Linux
low Severity low
: ---
: ---
Assigned To: Bryan Kearney
Amy Owens
:
Depends On:
Blocks: 427534 427574
  Show dependency treegraph
 
Reported: 2008-01-10 13:54 EST by James Bowes
Modified: 2013-01-10 04:57 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.4.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-29 16:29:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2008-01-10 13:54:52 EST
The activation service needs a vendor label to activate a service tag. rhn504
always sends 'REDHAT' as this label (for installation numbers), when it should
be sending 'DELL'.
Comment 1 Jordan OMara 2008-01-10 14:02:15 EST
This is in relation to the dell service tag cron job that we use to obtain dell
service tags and their associated entitlements from dell. 

This is an issue for customers that purchase a dell computer with a RHEL5
entitlement, and then try to activate using their service tag with rhn_register.
The directions we send them tell them to activate via the web interface, but
this process should also work. 

To trick RHN register into using a dell service tag on our regular machine, we
followed the steps here:
https://wwwapps.rdu.redhat.com/w3xwiki/index.php/Rhn_Register_Instructions

Customers will not experience any problems as long as they use the web
application for activation. 
Comment 2 Jordan OMara 2008-01-10 14:07:27 EST
If you need to test a dell service tag, the easiest way to add one is to use the
Hock application to hock a service tag. This can be selected from the main menu
of hock. 

You can check in the table web_dell_service_tags_shipped for info about the
service tag you create. 

You can also activate these with the dell activate web application.

Note You need to log in before you can comment on or make changes to this bug.